package com.msl;

import com.itextpdf.html2pdf.HtmlConverter;
import io.github.bonigarcia.wdm.WebDriverManager;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;

import java.io.FileOutputStream;
import java.io.IOException;

public class WebPageToPdf {
    public static void main(String[] args) {
        String url = "http://ams-open.devclx.cn/in-store/I2405000001"; // 替换为你想要转换的 URL
        String pdfPath = "d:/pdf/output1.pdf";

        // 设置 ChromeDriver
        WebDriverManager.chromedriver().setup();
        ChromeOptions options = new ChromeOptions();
        options.addArguments("--headless");
        options.addArguments("--disable-gpu");
        options.addArguments("--no-sandbox");

        WebDriver driver = new ChromeDriver(options);

        try {
            // 加载网页
            driver.get(url);
            // 等待动态内容加载
            Thread.sleep(1000);

            // 获取网页内容
            String htmlContent = driver.getPageSource();

            // 将HTML转换为PDF
            try (FileOutputStream fileOutputStream = new FileOutputStream(pdfPath)) {
                HtmlConverter.convertToPdf(htmlContent, fileOutputStream);
            }

            System.out.println("PDF created successfully at " + pdfPath);
        } catch (InterruptedException | IOException e) {
            e.printStackTrace();
        } finally {
            // 关闭浏览器
            driver.quit();
        }
    }
}
